| Home | Libraries | People | FAQ | More

## Struct template get_element_type

boost::move_upd::get_element_type

## Synopsis

    // In header: <boost/move/unique_ptr.hpp>

    template<typename T>
    struct get_element_type {
      // types
      typedef bmupmu::if_c< value, T, DefaultWrap >::type::element_type type;

      // member classes/structs/unions

      struct DefaultWrap {
        // types
        typedef bmupmu::natify< T > element_type;
      };

      // public static functions
      template<typename X> static char test(int, typename X::element_type *);
      template<typename X> static int test(...);

      // public data members
      static const bool value;
    };

## Description

### `get_element_type` public static functions

1.     template<typename X> static char test(int, typename X::element_type *);

2.     template<typename X> static int test(...);